## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global commit 7c7a99a90e2d898aad4790107486d3e21167443f
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global snapinfo 20220213git%{shortcommit}
%global debug_package %{nil}

Name:      googleapis
Version:   0
Release:   %autorelease -s %{snapinfo}
Summary:   Public interface definitions of Google APIs
# Automatically converted from old format: ASL 2.0 - review is highly recommended.
License:   Apache-2.0
URL:       https://github.com/googleapis/googleapis
Source0:   %{URL}/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
BuildArch: noarch

%description
This repository contains the original interface definitions of public Google
APIs that support both REST and gRPC protocols. 
Reading the original interface definitions can provide a better understanding
of Google APIs and help you to utilize them more efficiently.
You can also use these definitions with open source tools to generate client
libraries, documentation, and other artifacts.

%package devel
Summary:   Protocol Buffers definitions of Google APIs

%description devel
This package contains Protocol Buffers definitions of the Google APIs

%prep
%autosetup -n googleapis-%{commit}

%install
for d in $(find google -type d); do
    install --mode 0755 -vd "$d" "%{buildroot}%{_includedir}/$d"
done
for f in $(find google -type f -name "*.proto"); do
    install --mode 0644 -vp "$f" %{buildroot}%{_includedir}/$f
done

%files devel
%license LICENSE
%dir %{_includedir}/google
%{_includedir}/google/*

%changelog
## START: Generated by rpmautospec
* Thu Jul 24 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0-10.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0-9.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Jul 24 2024 Miroslav Suchý <msuchy@redhat.com> - 0-8.20220213git7c7a99a
- convert ASL 2.0 license to SPDX

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-7.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-6.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0-5.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-4.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0-3.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0-2.20220213git7c7a99a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 12 2022 Fabio Alessandro Locati <me@fale.io> - 0-1.20220213git7c7a99a
- initial version. Review: rhbz#2053935
## END: Generated by rpmautospec
